<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class StockTransfer extends Model
{
    protected $fillable = [
        'branch_id',
        'product_id',
        'quantity',
        'sold',
        'cost_price',
        'selling_price',
        'from_branch_id', // I might need this, but let's check migration again
    ];

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class);
    }
}
